libetonyek::IWORKLinkElement Class Reference documentation

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libetonyek::IWORKLinkElement Class Reference

`#include <IWORKLinkElement.h>`

Inheritance diagram for libetonyek::IWORKLinkElement:

## Public Member Functions
| IWORKLinkElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override
void | text (const char *value) override
void | endOfElement () override
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Private Attributes
bool | m_opened

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKLinkElement()

libetonyek::IWORKLinkElement::IWORKLinkElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKLinkElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| overrideprotected

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKLinkElement::element | ( | int | name | ) |
| overrideprotected

## ◆ endOfElement()

void libetonyek::IWORKLinkElement::endOfElement | ( |  | ) |
| overrideprotected

## ◆ text()

void libetonyek::IWORKLinkElement::text | ( | const char * | value | ) |
| overrideprotected

## Member Data Documentation

## ◆ m_opened

bool libetonyek::IWORKLinkElement::m_opened
| private

Referenced by attribute(), and endOfElement().

The documentation for this class was generated from the following files:

- IWORKLinkElement.h
- IWORKLinkElement.cpp